This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467746 - Package kit applet should wait at least 5 to 10 minutes before trying to get things refreshed
Package kit applet should wait at least 5 to 10 minutes before trying to get ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 13:22 EDT by Arjan van de Ven
Modified: 2008-10-27 09:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 09:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2008-10-20 13:22:37 EDT
Description of problem:

In many situations (hotels, airports, various other types of "on the road" networks), you end up in a situation that although you have an IP address, you get redirected to some webpage to say "I agree to sacrifice my first born" before they grant you access to the internet. 

Many of these systems are simplistic and to be honest, broken. Many can only deal with 1 outstanding request from you, and go beserk on further ones.

Unfortunately, the packagekit gnome applet tends to beat the browser in this regard, and leads to messy situations in practice.

It would be a lot nicer if the updater would just wait 5 to 10 minutes after getting a connection before refreshing it's things; this also would be nice in the sense that people who log on to quickly check if there's mail get their mail before the bandwidth goes to the updater. But that's a side effect, the primary thing is the captive transproxy stuff that just keeps biting me time and time again.
Comment 1 Richard Hughes 2008-10-20 18:34:02 EDT
Seems sensible, I'll try to do this tomorrow.
Comment 2 Richard Hughes 2008-10-21 12:07:01 EDT
Fixed upstream:

commit 8ef262585733147f16498471e0c0190db23fbc0b
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Oct 21 17:05:35 2008 +0100

    bugfix: enforce a delay (default 5 minutes) when the system state changes to fix RH#467746

:100644 100644 3afb3a4... dbed08f... M  data/gnome-packagekit.schemas.in
:100644 100644 c876f08... cd518c4... M  src/gpk-auto-refresh.c

Note You need to log in before you can comment on or make changes to this bug.